Name: CrownCutlass
Version: 1.4
Release: alt0.M30.0.2alpha

Summary: Crown and Cutlass is a 3d pirate action/adventure game

License: Distributable
Url: http://crownandcutlass.sourceforge.net/
Group: Games/Arcade

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sourceforge.net/crownandcutlass/%name-Alpha%version.tar.bz2
#Patch: %name-%version.patch

# Automatically added by buildreq on Sat Sep 17 2005
BuildRequires: esound gcc-c++ libSDL-devel libSDL_image-devel libguichan-devel libogg-devel libopenal-devel libstdc++-devel libvorbis-devel xorg-x11-devel xorg-x11-mesagl

%description
Crown and Cutlass is a 3d pirate action/adventure game in the spirit
of the old Pirates! game.
It is being written in C++, using OpenGL and SDL with an 
emphasis on cross-platform compatibility.  
The project is still early on in development,
although it is just beginning to look like an actual game.

%prep
%setup -q -n %name
%__subst "s|-lGLU|-L%_x11libdir -lGLU|g" Makefile
# fix data location
find ./src -name "*.cpp" -print0 | xargs -0 subst "s|./data/|%_gamesdatadir/%name/|g"
find ./data -name "*.xml" -print0 | xargs -0 subst "s|./data/|%_gamesdatadir/%name/|g"
find ./src -name "*.cpp" -print0 | xargs -0 subst "s|data/|%_gamesdatadir/%name/|g"

%build
%make

%install
%__mkdir -p %buildroot/%_gamesdatadir/%name
cd data
%__cp -rf . %buildroot/%_gamesdatadir/%name
cd -
%__install -m 0644 Config.xml %buildroot/%_gamesdatadir/%name/
%__install -D -m755 %name %buildroot/%_gamesbindir/%name

# menu entry
mkdir -p %buildroot%_libdir/menu
cat >%buildroot%_menudir/%name <<EOF
?package(%name): \
	command="%_gamesbindir/%name" \
	needs="X11" \
	icon="%name.png" \
	section="Amusement/Arcade" \
	title="%name"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%doc LICENSE INSTALL README
%attr (0755 root root) %_gamesbindir/*
%_gamesdatadir/%name
%_menudir/%name

%changelog
* Sun Dec 04 2005 Vitaly Lipatov <lav@altlinux.ru> 1.4-alt0.M30.0.2alpha
- backport to ALT Linux M30

* Sun Dec 04 2005 Vitaly Lipatov <lav@altlinux.ru> 1.4-alt0.2alpha
- use _x11libdir for X11 libs

* Sat Sep 17 2005 Vitaly Lipatov <lav@altlinux.ru> 1.4-alt0.1alpha
- new version

* Fri Dec 17 2004 Vitaly Lipatov <lav@altlinux.ru> 1.2-alt0.1alpha
- first build for ALT Linux Sisyphus

